%define pypi_name batinfo

Name:           python-batinfo
Version:        0.4.2
Release:        %mkrel 9
Group:          Development/Python
Summary:        A simple Python lib to retrieve battery information

License:        LGPLv3
URL:            https://github.com/nicolargo/batinfo
Source0:        https://pypi.python.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A simple Python lib to retrieve battery information

%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        A simple Python lib to retrieve battery information
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description -n python3-%{pypi_name}
A simple Python3 lib to retrieve battery information


%prep
%setup -q -n %{pypi_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}
rm %{buildroot}/usr/share/doc/batinfo/AUTHORS
rm %{buildroot}/usr/share/doc/batinfo/LICENSE
rm %{buildroot}/usr/share/doc/batinfo/README.md


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README.md AUTHORS


%changelog
* Sat Mar 01 2025 wally <wally> 0.4.2-9.mga10
+ Revision: 2154530
- rebuild for python3.13

* Sat Dec 09 2023 papoteur <papoteur> 0.4.2-8.mga10
+ Revision: 2016206
- finalyze port to pyproject
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.4.2-7.mga9
+ Revision: 1822382
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.4.2-6.mga9
+ Revision: 1773345
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 0.4.2-5.mga9
+ Revision: 1733726
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 0.4.2-4.mga9
+ Revision: 1732615
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4.2-3.mga8
+ Revision: 1535542
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.4.2-2.mga8
+ Revision: 1452150
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 0.4.2-1.mga7
+ Revision: 1351147
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.1.8-8.mga7
+ Revision: 1288263
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.1.8-7.mga7
+ Revision: 1135319
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.1.8-6.mga6
+ Revision: 970504
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 0.1.8-5.mga6
+ Revision: 887109
- rebuild for new python3

* Wed Oct 15 2014 umeabot <umeabot> 0.1.8-4.mga5
+ Revision: 748089
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.8-3.mga5
+ Revision: 728103
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.8-2.mga5
+ Revision: 687900
- Mageia 5 Mass Rebuild

* Thu Jun 19 2014 philippem <philippem> 0.1.8-1.mga5
+ Revision: 638165
- imported package python-batinfo

